  <?php
  
  // feed URL & default news image if no thumbnail
  $url          = 'http://iwradio.co.uk/category/news/isle-of-wight-news/feed';
  $default_img  = "http://iwradio.co.uk/wp-content/uploads/sites/3/2016/11/iwr-logo-poppy-lr.png";
  $max_articles = 6;
  // stop editing
  
  function time2str($ts)
  {
    // turns time into more friendly format
    if(!ctype_digit($ts))
        $ts = strtotime($ts);

    $diff = time() - $ts;
    if($diff == 0)
        return 'now';
    else
    {
        $day_diff = floor($diff / 86400);
        if($day_diff == 0)
        {
            if($diff < 60) return 'just now';
            if($diff < 120) return '1 minute ago';
            if($diff < 3600) return floor($diff / 60) . ' minutes ago';
            if($diff < 7200) return '1 hour ago';
            if($diff < 86400) return floor($diff / 3600) . ' hours ago';
        }
        if($day_diff == 1) return 'Yesterday';
        if($day_diff < 7) return $day_diff . ' days ago';
        if($day_diff < 31) return ceil($day_diff / 7) . ' weeks ago';
        if($day_diff < 60) return 'last month';
        return date('F Y', $ts);
    }
  }  

  // parse & store in array
  $rss = new DOMDocument();
  $rss->load($url);
  $feed = array();
  foreach ($rss->getElementsByTagName('item') as $node) {
      $item = array (
              'title' => $node->getElementsByTagName('title')->item(0)->nodeValue,
              'link' => $node->getElementsByTagName('link')->item(0)->nodeValue,
              'pubDate' => $node->getElementsByTagName('pubDate')->item(0)->nodeValue,
              'description' => $node->getElementsByTagName('description')->item(0)->nodeValue,
              'content' => $node->getElementsByTagName('encoded')->item(0)->nodeValue
              );
        array_push($feed, $item);
    }

  // send headers - utf-8 important
  header('Content-Type: text/html; charset=utf-8');
  
  echo '<table>';
  
  foreach (array_slice($feed, 0, $max_articles) as $item) {
  
      // parse out first url with a .jpg extension in content - should be thumbnail OR use default image
      if (strpos($item['content'], ".jpg") > 0) {
        $img = substr(substr($item['content'], strpos($item['content'], 'src="') + 5 ), 0, strpos(substr($item['content'], strpos($item['content'], 'src="') + 5 ), '"'));
      }
      else
      {
        $img = $default_img;
      }
      
      echo '<tr><td><img src="'.$img.'" width="100px"></td><td><a href="'.$item['link'].'" target="_blank">'.$item['title'].'</a><br><small>'.time2str($item['pubDate']).'</small></td></tr>';
    
  }
  
  echo '</table>';
  
  ?>